    #!/bin/bash
    ssh -tt R1 << 'EOF'
    set -e

    # Supprimer proprement les éléments existants
    ip netns del ns2 2>/dev/null || true
    ip link del veth0 2>/dev/null || true
    ip link del veth1 2>/dev/null || true

    ip netns add ns2

    ip link add veth0 type veth peer name veth0-ns
    ip link set veth0-ns netns ns2

    ip link add veth1 type veth peer name veth1-ns
    ip link set veth1-ns netns ns2

    ip link set veth0 up
    ip link set veth1 up

    # Côté ns2
    # activer le loopback
    ip netns exec ns2 ip link set lo up
    ip netns exec ns2 ip link set veth0-ns name veth0
    ip netns exec ns2 ip link set veth1-ns name veth1
    ip netns exec ns2 ip link set veth0 up
    ip netns exec ns2 ip link set veth1 up


    ip addr add 192.168.0.1/24 dev veth0
    ip addr add 192.168.1.1/24 dev veth1

    ip netns exec ns2 ip addr add 192.168.0.2/24 dev veth0
    ip netns exec ns2 ip addr add 192.168.1.2/24 dev veth1

    # Activer le forwarding
    ip netns exec ns2 sysctl -w net.ipv4.ip_forward=1

    # NAT dans R2 sur veth0
    ip netns exec ns2 bash -c 'cat > /root/nat-r2.nft <<EONAT
    flush ruleset
    table ip nat {
        chain masq {
            type nat hook postrouting priority 100;
            oifname "veth0" counter masquerade
        }
    }
    EONAT
    nft -f /root/nat-r2.nft
    '
    # Ajout des routes
    ip netns exec ns2 ip route add default via 192.168.0.1
    ip netns exec ns2 ip route add 10.0.0.0/24 via 192.168.1.1

    # Redirection du trafic par défaut dans R1 vers R2
    ip route delete default || true
    ip route add default via 192.168.1.2
    echo '100 custom' >> /etc/iproute2/rt_tables
    ip rule add iif veth0 table custom
    ip route add default via 172.21.1.1 table custom

    EOF
